org.deidentifier.arx.aggregates

## Enum ClassificationConfigurationLogisticRegression.PriorFunction

- java.lang.Object
- - java.lang.Enum<ClassificationConfigurationLogisticRegression.PriorFunction>
  - - org.deidentifier.arx.aggregates.ClassificationConfigurationLogisticRegression.PriorFunction

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ClassificationConfigurationLogisticRegression.PriorFunction>

Enclosing class:
  ClassificationConfigurationLogisticRegression

    public static enum ClassificationConfigurationLogisticRegression.PriorFunction
    extends java.lang.Enum<ClassificationConfigurationLogisticRegression.PriorFunction>

Prior function for regularization

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ELASTIC_BAND`
`L1`
`L2`
`UNIFORM`

### Method Summary

All Methods Static Methods Concrete Methods
`static ClassificationConfigurationLogisticRegression.PriorFunction` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ClassificationConfigurationLogisticRegression.PriorFunction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### L1

    public static final ClassificationConfigurationLogisticRegression.PriorFunction L1

#### L2

    public static final ClassificationConfigurationLogisticRegression.PriorFunction L2

#### UNIFORM

    public static final ClassificationConfigurationLogisticRegression.PriorFunction UNIFORM

#### ELASTIC_BAND

    public static final ClassificationConfigurationLogisticRegression.PriorFunction ELASTIC_BAND

### Method Detail

#### values

    public static ClassificationConfigurationLogisticRegression.PriorFunction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ClassificationConfigurationLogisticRegression.PriorFunction c : ClassificationConfigurationLogisticRegression.PriorFunction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ClassificationConfigurationLogisticRegression.PriorFunction valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null